APIs / AutoTrader UK / Dealer Listings
AutoTrader UK: Dealer Listings
Dealer Listings from AutoTrader UK as JSON. 1 credit per successful call.
GET /v1/autotrader-uk/dealer-listings
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
postcode | string | Required | Up to 8 characters |
price_search_type | string | Optional | total, monthly |
make | string | Optional | Up to 100 characters |
model | string | Optional | Up to 100 characters |
body_type | string | Optional | Up to 100 characters |
colour | string | Optional | Up to 100 characters |
transmission | string | Optional | Up to 100 characters |
seller_type | string | Optional | private, trade |
fuel_type[] | list of string | Optional | Up to 50 characters |
min_price | integer | Optional | Any |
max_price | integer | Optional | Any |
min_year_manufactured | integer | Optional | Any |
max_year_manufactured | integer | Optional | Any |
min_mileage | integer | Optional | Any |
max_mileage | integer | Optional | Any |
distance | integer | Optional | Any |
sort | string | Optional | relevance, price_asc, price_desc, distance, mileage, year_dsc, year_asc, most_recent |
page | integer | Optional | Any |
retailer_id | string | Required | Up to 20 characters |
Example request
curl "https://api.perceptlayer.com/v1/autotrader-uk/dealer-listings?retailer_id=10044570&postcode=SW1A1AA&price_search_type=total&page=1" \
-H "X-API-Key: $API_KEY"